require_relative 'aws_mfa'

class AwsMfaClient
  def execute(execution_output = :set_env, profile = nil)
    return if running_on_aws_ec2_instance?
    AwsMfa.new.execute(execution_output, profile)
  end

  def running_on_aws_ec2_instance?
    File.file?("/sys/hypervisor/uuid") &&
      File.read("/sys/hypervisor/uuid")[0..2] == "ec2"
  end
end
